__audit_mq_timedreceive
Prev | Chapter 13. Audit Interfaces | Next

## Name

__audit_mq_timedreceive — record audit data for a POSIX MQ timed receive

## Synopsis

`int __audit_mq_timedreceive (` | mqd_t | mqdes,
| size_t | msg_len,
| unsigned int __user * | u_msg_prio,
| const struct timespec __user * | u_abs_timeout`)`;

## Arguments

`mqdes`

  MQ descriptor

`msg_len`

  Message length

`u_msg_prio`

  Message priority

`u_abs_timeout`

  Message timeout in absolute time

## Description

Returns 0 for success or NULL context or < 0 on error.

Prev | Up | Next
__audit_mq_timedsend | Home | __audit_mq_notify